Overview
POST
/public/invitationspublicRequest to join an ecosystem (unauthenticated). Optionally addressed by ecosystem rdid/uuid; defaults to the hub.
Create a record in invitations.
Request body
application/json · optional
- namestring
- emailoptionalstring
- phoneoptionalstring
- sourceoptionalstring
- noteoptionalstring
- ecosystemoptionalstring
Target ecosystem address (rdid or uuid). Absent = the hub. Unknown/deleted → 404.
Example
{
"name": "string",
"email": "string",
"phone": "string",
"source": "string",
"note": "string",
"ecosystem": "string"
}Responses
200
Success
- okboolean
Example
{
"ok": true
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/public/invitations" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"email": "string",
"phone": "string",
"source": "string",
"note": "string",
"ecosystem": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/public/invitations", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"name\": \"string\",\n \"email\": \"string\",\n \"phone\": \"string\",\n \"source\": \"string\",\n \"note\": \"string\",\n \"ecosystem\": \"string\"\n}",
});
const data = await res.json();